using System.Collections.Generic;
using Siger.Middlelayer.CncRepository.Entities;
using Siger.Middlelayer.Repository;
using Siger.Middlelayer.Repository.Entities;

namespace Siger.Middlelayer.CncRepository.Repositories.Interface
{
    public interface ICncRepositoryBase<TEntity> : IRepositoryBase<TEntity> where TEntity : CncEntityBase
    {
        IEnumerable<int> GetLevelSectionMachineIds(int id, int projectid);

        IEnumerable<int> GetLevelSectionIds(int id, int projectid);

        IEnumerable<string> GetLevelSectionTitles(int id, int projectid);

        IEnumerable<siger_project_level_section> GetParentLevelSections(int id, int projectid);
    }
}
